Skip to main content
Media Manager

Add/Update existing media library item

Upload a new file to the media library. Include the id of an existing file to overwrite. start_date and end_date use timezone-naive YYYY-MM-DD HH:mm:ss wall-clock values and are stored without timezone conversion.

POST
/api/v1/media
Authorizationstringheaderrequired

Access token from POST /api/v1/auth/login

Body

multipart/form-data

copyright

end_datestring

media validity end datetime (format: YYYY-MM-DD HH:mm:ss, must not be earlier than start_date). Timezone-naive wall-clock value; no timezone conversion is performed by the API.

Example: 2026-06-07 17:45:00
filestring

binary data for the file

idinteger

id of existing media library file to overwrite update.

Example: 5199
namestring

media library file name including optional folder

Example: api-test.jpg
start_datestring

media validity start datetime (format: YYYY-MM-DD HH:mm:ss). Timezone-naive wall-clock value; no timezone conversion is performed by the API.

Example: 2026-06-01 09:15:00
tagsstring

tags (JSON array)

Success. Response body is not documented in the source collection.